## org.metaabm
Enum SImplementationMode

    java.lang.Object
      java.lang.Enum<SImplementationMode>
          org.metaabm.SImplementationMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SImplementationMode>, org.eclipse.emf.common.util.Enumerator

    public enum SImplementationMode

extends java.lang.Enum<SImplementationMode>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration ' SImplementation Mode', and utility methods for working with them.

Author:
  Miles Parker
See Also:
  `MetaABMPackage.getSImplementationMode()`

Enum Constant Summary
`EXTERNAL_LITERAL` The 'External' literal object.
`GENERATE_EMPTY_LITERAL` The 'Generate Empty' literal object.
`GENERATE_LITERAL` The 'Generate' literal object.
`GENERATE_PROTECTED_LITERAL` The 'Generate Protected' literal object.
`LOAD_LITERAL` The 'Load' literal object.

Field Summary
`static int` `EXTERNAL` The 'External' literal value.
`static int` `GENERATE` The 'Generate' literal value.
`static int` `GENERATE_EMPTY` The 'Generate Empty' literal value.
`static int` `GENERATE_PROTECTED` The 'Generate Protected' literal value.
`static int` `LOAD` The 'Load' literal value.
`static java.util.List<SImplementationMode>` `VALUES` A public read-only list of all the 'SImplementation Mode' enumerators.

Method Summary
`static SImplementationMode` `get(int value)` Returns the 'SImplementation Mode' literal with the specified integer value.
`static SImplementationMode` `get(java.lang.String literal)` Returns the 'SImplementation Mode' literal with the specified literal value.
`static SImplementationMode` `getByName(java.lang.String name)` Returns the 'SImplementation Mode' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static SImplementationMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SImplementationMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GENERATE_LITERAL

    public static final SImplementationMode GENERATE_LITERAL

  The 'Generate' literal object.

  See Also:
    `GENERATE`

### GENERATE_PROTECTED_LITERAL

    public static final SImplementationMode GENERATE_PROTECTED_LITERAL

  The 'Generate Protected' literal object.

  See Also:
    `GENERATE_PROTECTED`

### GENERATE_EMPTY_LITERAL

    public static final SImplementationMode GENERATE_EMPTY_LITERAL

  The 'Generate Empty' literal object.

  See Also:
    `GENERATE_EMPTY`

### LOAD_LITERAL

    public static final SImplementationMode LOAD_LITERAL

  The 'Load' literal object.

  See Also:
    `LOAD`

### EXTERNAL_LITERAL

    public static final SImplementationMode EXTERNAL_LITERAL

  The 'External' literal object.

  See Also:
    `EXTERNAL`

Field Detail

### GENERATE

    public static final int GENERATE

  The 'Generate' literal value.

  If the meaning of 'Generate' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GENERATE_LITERAL`, Constant Field Values

### GENERATE_PROTECTED

    public static final int GENERATE_PROTECTED

  The 'Generate Protected' literal value.

  If the meaning of 'Generate Protected' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GENERATE_PROTECTED_LITERAL`, Constant Field Values

### GENERATE_EMPTY

    public static final int GENERATE_EMPTY

  The 'Generate Empty' literal value.

  If the meaning of 'Generate Empty' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GENERATE_EMPTY_LITERAL`, Constant Field Values

### LOAD

    public static final int LOAD

  The 'Load' literal value.

  If the meaning of 'Load' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOAD_LITERAL`, Constant Field Values

### EXTERNAL

    public static final int EXTERNAL

  The 'External' literal value.

  If the meaning of 'External' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXTERNAL_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<SImplementationMode> VALUES

  A public read-only list of all the 'SImplementation Mode' enumerators.

Method Detail

### values

    public static SImplementationMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SImplementationMode c : SImplementationMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SImplementationMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static SImplementationMode get(java.lang.String literal)

  Returns the 'SImplementation Mode' literal with the specified literal value.

### getByName

    public static SImplementationMode getByName(java.lang.String name)

  Returns the 'SImplementation Mode' literal with the specified name.

### get

    public static SImplementationMode get(int value)

  Returns the 'SImplementation Mode' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SImplementationMode>`